Package Details: waterfox-classic-bin 2022.04-0

Git Clone URL: https://aur.archlinux.org/waterfox-classic-bin.git (read-only, click to copy)
Package Base: waterfox-classic-bin
Description: Customizable privacy-conscious web browser with primary support for legacy extensions
Upstream URL: https://classic.waterfox.net
Keywords: firefox
Licenses: MPL
Conflicts: waterfox-classic, waterfox-classic-git
Provides: waterfox-classic
Replaces: waterfox-bin
Submitter: plague-doctor
Maintainer: hawkeye116477 (vcekron)
Last Packager: hawkeye116477
Votes: 94
Popularity: 0.91
First Submitted: 2019-11-08 23:55 (UTC)
Last Updated: 2022-04-16 22:00 (UTC)

Dependencies (15)

Required by (1)

Sources (2)

Pinned Comments

Latest Comments

losgann commented on 2022-03-08 23:25 (UTC)

Just wanted to clarify a point that was a little confusing to me. Per @hawkeye116477's suggestion, run "MOZ_DISABLE_CONTENT_SANDBOX=1 waterfox-classic" from the console (terminal window) and everything will be back to normal!

hawkeye116477 commented on 2022-03-07 15:54 (UTC) (edited on 2022-03-07 15:55 (UTC) by hawkeye116477)

Seems that's some new problem with sandbox related with updating some of another package (maybe glibc), so just run it with MOZ_DISABLE_CONTENT_SANDBOX=1 and it will work fine.

losgann commented on 2022-03-05 22:40 (UTC)

@wtx @Skalli84

Same here, with the "Gah". Very frustrating.

Skalli84 commented on 2022-03-03 14:29 (UTC)

@wtx: Same for me, it's not working at all after the recent update.

wtx commented on 2022-03-01 13:57 (UTC)

Does anyone experience such an error like me:?

Gah. Your tab just crashed.

and in console such an errors:

[Parent 204534] WARNING: pipe error (100): Connection reset by peer: file /__w/Waterfox-Classic/Waterfox-Classic/ipc/chromium/src/chrome/common/ipc_channel_posix.cc, line 353

hawkeye116477 commented on 2020-02-26 08:01 (UTC)

@pjpreilly Sorry, fixed.

pjpreilly commented on 2020-02-26 03:35 (UTC)

Thanks for the adoption @hawkeye but with your first update the application icon is broken in Manjaro Gnome. TIA

plague-doctor commented on 2020-02-23 23:02 (UTC)

NOTE: Due to Waterfox has been sold to system1, I am not going to maintain this package anymore.

More to read:

pjpreilly commented on 2019-12-11 19:55 (UTC) (edited on 2019-12-11 19:57 (UTC) by pjpreilly)

@plague-doctor Fix the paths. THX

zangoku commented on 2019-12-11 01:15 (UTC)

install: cannot stat '/home/[username]/.cache/pacaur/waterfox-classic-bin/src/waterfox/browser/chrome/icons/default/default128.png': No such file or directory

pjpreilly commented on 2019-12-11 00:15 (UTC)

2019.12-1 build fails with: ==> Starting package()... install: cannot stat '/var/tmp/pamac-build-manjaro/waterfox-classic-bin/src/waterfox/browser/chrome/icons/default/default128.png': No such file or directory ==> ERROR: A failure occurred in package(). Aborting...

Austcool commented on 2019-12-09 23:05 (UTC) (edited on 2019-12-10 01:03 (UTC) by Austcool)

Please change Icon=/usr/share/pixmaps/waterfox-classic-icon.png Icon=waterfox-classic-icon so themes can change the icon thanks.

jakyote commented on 2019-11-20 03:33 (UTC)

Should probably add Replaces: waterfox-bin as well, no?

plague-doctor commented on 2019-11-11 20:51 (UTC)

Yep, good catch @chocolateboy.

chocolateboy commented on 2019-11-11 18:54 (UTC)

A waterfox-classic-bin package was created a few days ago: https://aur.archlinux.org/packages/waterfox-classic-bin/

chocolateboy commented on 2019-11-11 18:53 (UTC) (edited on 2019-11-11 19:06 (UTC) by chocolateboy)

Please add "Provides: waterfox", and possibly "Conflicts: waterfox-bin" (since they share the same profiles).

CyberShadow commented on 2019-11-05 18:09 (UTC)

Patch for 2019.10:

From 10583220e6b74c302b09e292ea54e62c34f55a4b Mon Sep 17 00:00:00 2001
From: Vladimir Panteleev <git@thecybershadow.net>
Date: Tue, 5 Nov 2019 18:07:35 +0000
Subject: [PATCH] 2019.10

---
 .SRCINFO | 6 +++---
 PKGBUILD | 6 +++---
 2 files changed, 6 insertions(+), 6 deletions(-)

diff --git a/.SRCINFO b/.SRCINFO
index [`c8cf083`](https://aur.archlinux.org/cgit/aur.git/commit/?h=waterfox-bin&id=c8cf083)..17d6382 100644
--- a/.SRCINFO
+++ b/.SRCINFO
@@ -1,6 +1,6 @@
 pkgbase = waterfox-bin
    pkgdesc = 64-Bit optimized Firefox, no data collection, allows unsigned extensions
-   pkgver = 56.2.14
+   pkgver = 2019.10
    pkgrel = 1
    url = <https://www.waterfoxproject.org/>
    arch = x86_64
@@ -18,9 +18,9 @@ pkgbase = waterfox-bin
    provides = waterfox
    conflicts = waterfox
    source = waterfox.desktop
-   source = <https://storage-waterfox.netdna-ssl.com/releases/linux64/installer/waterfox-56.2.14.en-US.linux-x86_64.tar.bz2>
+   source = <https://storage-waterfox.netdna-ssl.com/releases/linux64/installer/waterfox-classic-2019.10.en-US.linux-x86_64.tar.bz2>
    sha256sums = ce7c07ffce4faab534b7961947b062a33a8fd377b9a6c51474bc0263ef35cc8d
-   sha256sums = aed34cd7f501ebd1abf9a0fed8a3fd0e1f6f616b5c669db5cb81f32ba7759a68
+   sha256sums = a0770333bdf6bdf511342c47cc946c6b1d59e305f59161149cac2ebada577818

 pkgname = waterfox-bin

diff --git a/PKGBUILD b/PKGBUILD
index [`64faa84`](https://aur.archlinux.org/cgit/aur.git/commit/?h=waterfox-bin&id=64faa84)..a0c23ba 100644
--- a/PKGBUILD
+++ b/PKGBUILD
@@ -1,7 +1,7 @@
 # Creator: Herbert Knapp <herbert.knapp@edu.uni-graz.at>
 # Maintainer: Milo Gilad <myl0gcontact@gmail.com>
 pkgname=waterfox-bin
-pkgver=56.2.14
+pkgver=2019.10
 pkgrel=1
 pkgdesc="64-Bit optimized Firefox, no data collection, allows unsigned extensions"
 arch=('x86_64')
@@ -11,7 +11,7 @@ depends=('libxt' 'libnotify' 'mime-types' 'nss' 'gtk2' 'gtk3' 'sqlite' 'dbus-gli
 optdepends=('alsa-lib' 'pulseaudio')
 provides=("${pkgname%-bin}")
 conflicts=("${pkgname%-bin}")
-source=('waterfox.desktop' '<https://storage-waterfox.netdna-ssl.com/releases/linux64/installer/waterfox>-'"${pkgver}"'.en-US.linux-x86_64.tar.bz2')
+source=('waterfox.desktop' '<https://storage-waterfox.netdna-ssl.com/releases/linux64/installer/waterfox-classic>-'"${pkgver}"'.en-US.linux-x86_64.tar.bz2')

 package() {
   install -d "${pkgdir}"/{usr/{bin,share/{applications,pixmaps}},opt}
@@ -21,4 +21,4 @@ package() {
   ln -s /opt/waterfox/waterfox "${pkgdir}"/usr/bin/
 }
 sha256sums=('ce7c07ffce4faab534b7961947b062a33a8fd377b9a6c51474bc0263ef35cc8d'
-            'aed34cd7f501ebd1abf9a0fed8a3fd0e1f6f616b5c669db5cb81f32ba7759a68')
+            'a0770333bdf6bdf511342c47cc946c6b1d59e305f59161149cac2ebada577818')
-- 
2.23.0

pjpreilly commented on 2019-11-02 00:44 (UTC)

Needs to be renamed as well as updated to the newest version. TIA

tilt commented on 2019-10-25 20:13 (UTC)

Should this package be renamed to waterfox-classic-bin? Just to be clear and avoid mistakes with git version (waterfox-classic-git) and current ones (https://aur.archlinux.org/packages/waterfox-current-bin/ https://aur.archlinux.org/packages/waterfox-current-git/)

Thanks :)

steanne commented on 2019-10-23 09:42 (UTC) (edited on 2019-10-23 09:43 (UTC) by steanne)

removed out-of-date flag since new version was removed from waterfox releases page at https://www.waterfox.net/releases/ as well as https://twitter.com/Waterfoxproject/status/1184932367116439553

aquasp commented on 2019-09-13 14:21 (UTC)

@Myl0g no problem, thanks

commented on 2019-09-04 19:22 (UTC)

@aquasp I'll look into the old icon situation when I get to my main computer in the next few days. Also, package is updated!

aquasp commented on 2019-09-04 19:17 (UTC)

Hi, the icon is the old one, I don't know why.

Also, can you update to the 26.2.14? Ty

aquasp commented on 2019-08-20 02:11 (UTC)

Hi, can you update to the 56.2.13? Thanks!

commented on 2019-07-11 18:27 (UTC)

@kseistrup I've updated it to use sha512. Thanks for pointing it out!

kseistrup commented on 2019-06-20 05:38 (UTC)

Please consider using at least SHA256 digests for file verification.

ciciolina commented on 2019-06-20 02:10 (UTC) (edited on 2019-06-20 03:24 (UTC) by ciciolina)

this last update dont work... i uninstall the (56.2.10) to try this new update (56.2.11) and now im stuck, its imposible install any version of the waterfox! always send this message: https://imgur.com/a/t4OXdz4 i dont know why but now i cant install it... no beta, no bin, no git version.

and i have the same problem of @arquero and @chocolateboy ...

EDIT: After many intents of install this update i think i "broke" my makepkg.conf and for that reason i cant install any of the waterfox versions... i do this to fix it: - found the makepkg.conf file its here : /etc/makepkg.conf - DELETE the file (you need sudo if you use terminal or root explorer) - open terminal and reinstall pacman via yay pacman - this recreate makepkg.conf and now you can use aur again

This update fix the update alert and have some bug fixes! Thanks for upload this!

chocolateboy commented on 2019-06-13 16:30 (UTC)

@arquero Nope: https://i.imgur.com/CkRsXXC.png

arquero commented on 2019-06-13 10:52 (UTC)

Am I the only one still receiving update notifications after installing the current waterfox-bin package (56.2.10)?

https://imgur.com/a/LeROT7i

dctxmei commented on 2019-06-08 06:04 (UTC)

waterfox-bin W: Dependency included and not needed ('libnotify')
waterfox-bin W: Dependency sqlite included but already satisfied

commented on 2019-05-28 14:10 (UTC)

I'm sorry about the delay, folks! I clean-installed my OS and forgot to re-add this email account. At this point I'll just use my main email and avoid the issue altogether. The PKGBUILD will be updated by the end of the day.

aquasp commented on 2019-05-24 23:34 (UTC)

@simokron I mean, I installed the 56.2.10 with your pkg build, but what if I wanted to create my own pkg build from 0?

aquasp commented on 2019-05-24 23:33 (UTC)

@simokron

Thanks! Can you explain me how to create a pkbuild? I was not able to do this by myself.

vcekron commented on 2019-05-22 05:54 (UTC) (edited on 2019-05-23 06:30 (UTC) by vcekron)

@aquasp: Here's a gist for the 56.2.10 update: https://gist.github.com/simokron/674c02541738c0c5aec16757cdc7d9e7.

If you're unaware of how to use it:
git clone https://aur.archlinux.org/waterfox-bin.git
cd waterfox-bin

Edit the PKGBUILD according to the gist, then:
makepkg --printsrcinfo > .SRCINFO
makepkg -si

@HerbertKnapp & @Myl0g: I'm willing to become a co-maintainer of this package, if you're interested.

aquasp commented on 2019-05-21 21:18 (UTC)

Can you please add to 56.2.10?

Thanks for the amazing work!

commented on 2018-12-31 19:20 (UTC)

Hi @HaoZeke, I just checked the official waterfox website and 56.2.6 is the latest version. Is something else wrong with the package?

CyberShadow commented on 2018-12-01 18:33 (UTC)

For what it's worth, the Linux binary archive was absent (404) for a long time (a few weeks, at least) since the announcement.

commented on 2018-11-27 17:52 (UTC)

For some reason, the email I had associated with this account was deactivated on my email client and I haven't been receiving emails from the AUR. I'm terribly sorry for this folks. The package will be updated by the end of the day (EST).

Aladar commented on 2018-11-27 02:26 (UTC)

You can update it by just running a Waterfox install and changing the version number in the PKGBUILD.

annafox commented on 2018-11-23 08:21 (UTC)

Please we need last release 56.2.5 ... look in https://blog.waterfoxproject.org/

chocolateboy commented on 2018-11-21 12:50 (UTC)

@Myl0g @HerbertKnapp Need a hand with this?

commented on 2018-11-02 16:26 (UTC)

No worries there @Roswithaer.

Roswithaer commented on 2018-10-13 10:20 (UTC)

Sorry for flaging this package out-of-date. Info from developer was misleading.

tilt commented on 2018-01-29 23:05 (UTC)

@Myl0g you're right: I solved cloning from scratch the git repo, thanks :P

commented on 2018-01-23 01:09 (UTC)

@tilt Hasn't happened to me in my testing. Are you sure everything's alright with your system?

A work-around is to download https://storage-waterfox.netdna-ssl.com/releases/linux64/installer/waterfox-56.0.3.en-US.linux-x86_64.tar.bz2 yourself, clone this repo, then move the downloaded file into the repo, then do makepkg -si.

Hope I managed to help!

tilt commented on 2018-01-21 22:42 (UTC)

Hi all, I'm having problems when try to upgrade to 56.0.3-1 (from 56.0.2-1):

curl: (22) The requested URL returned error: 416 ==> ERROR: Failure while downloading https://storage-waterfox.netdna-ssl.com/releases/linux64/installer/waterfox-56.0.3.en-US.linux-x86_64.tar.bz2

Anyone facing the same issue? Thanks in advance, bye!

commented on 2017-12-28 20:37 (UTC)

@ManniX I'm all for it!

commented on 2017-12-28 17:27 (UTC)

@HerbertKnapp: I'd like to jump in here, too. @Myl0g: How about a team solution - you and me? (I'm not that experienced, too, but this package doesn't seem to be too big a deal for bloody beginners like us ;-) )

commented on 2017-12-20 22:16 (UTC)

@HerbertKnapp I'd be happy to lend a hand! I don't have too much experience, but I'm more than willing to keep the package maintained.

HerbertKnapp commented on 2017-12-19 18:09 (UTC)

Anybody here wants to take over as maintainer of this package? Waterfox is beautiful software but I no longer use it and this pkg deserves more attention than I am giving it.

zeroflag commented on 2017-12-04 23:59 (UTC) (edited on 2017-12-05 00:01 (UTC) by zeroflag)

@HerbertKnapp Hi, I trust I am not the only one who would appreciate, if the unistallation process removes this package correctly. I mean:

$ rm -rf /opt/waterfox & rm -f /usr/bin/waterfox & rm -f /usr/share/applications/waterfox.desktop & rm -f /usr/share/pixmaps/waterfox-icon.png

Currently, it is even impossible to reinstall this package due to: error: failed to commit transaction (conflicting files)

Thanks.

FreelancePolice commented on 2017-12-02 19:00 (UTC)

Waterfox fails to run. The error I get is: ATTENTION: default value of option force_s3tc_enable overridden by environment. ATTENTION: default value of option force_s3tc_enable overridden by environment. 1512241182905 addons.webextension.jid1-xUfzOsOFlzSOXg@jetpack WARN Please specify whether you want browser_style or not in your page_action options. 1512241182924 addons.webextension.https-everywhere@eff.org WARN Please specify whether you want browser_style or not in your browser_action options. [Child 6598] WARNING: pipe error (23): Connection reset by peer: file /home/build/Waterfox/ipc/chromium/src/chrome/common/ipc_channel_posix.cc, line 353 [Child 6598] WARNING: pipe error (22): Connection reset by peer: file /home/build/Waterfox/ipc/chromium/src/chrome/common/ipc_channel_posix.cc, line 353 [Child 6576] WARNING: pipe error (18): Connection reset by peer: file /home/build/Waterfox/ipc/chromium/src/chrome/common/ipc_channel_posix.cc, line 353 [Child 6598] WARNING: pipe error (21): Connection reset by peer: file /home/build/Waterfox/ipc/chromium/src/chrome/common/ipc_channel_posix.cc, line 353 [Child 6576] WARNING: pipe error (32): Connection reset by peer: file /home/build/Waterfox/ipc/chromium/src/chrome/common/ipc_channel_posix.cc, line 353 [Child 6598] WARNING: pipe error (20): Connection reset by peer: file /home/build/Waterfox/ipc/chromium/src/chrome/common/ipc_channel_posix.cc, line 353 [Child 6576] WARNING: pipe error (3): Connection reset by peer: file /home/build/Waterfox/ipc/chromium/src/chrome/common/ipc_channel_posix.cc, line 353 [Child 6598] WARNING: pipe error (19): Connection reset by peer: file /home/build/Waterfox/ipc/chromium/src/chrome/common/ipc_channel_posix.cc, line 353 [Child 6598] WARNING: pipe error (3): Connection reset by peer: file /home/build/Waterfox/ipc/chromium/src/chrome/common/ipc_channel_posix.cc, line 353 Segmentation fault (core dumped)

bhrgunatha commented on 2017-11-20 11:28 (UTC)

morrisar47: "I've been enjoying Waterfox but it has been crashing with the latest nvidia drivers." The Nvidia GL shader version number increased and caused crashes. I think this bin may have been compiled before the fix from Mozilla gets introduced. Waterfox-git _does_ have the fix from Mozilla (but it fails to compile for me) See Firefox-ESR for a possible patch - https://aur.archlinux.org/packages/firefox-esr/

morrisar47 commented on 2017-11-04 15:10 (UTC)

I've been enjoying Waterfox but it has been crashing with the latest nvidia drivers. nvidia 381.22-4 appears to work properly while larterversions crash on loading some sites. Some sites which crash repeatedly are yelp.com and maps.google.com. These work properly in safe mode but fail on a new install with no addidional plgins installed. Firefox does not have these problems.

glitsj16 commented on 2017-09-24 06:36 (UTC) (edited on 2017-09-24 06:38 (UTC) by glitsj16)

(1) Flagged OOD: upstream released 55.1.0 For me that shows 'pulse' for Audio Backend in about:support, so I changed dependencies accordingly. (2) For those who have been hit by font rendering issues, and are looking for a quick workaround untill upstream waterfox 56 is released: see https://gist.github.com/glitsj16/24ebe04ce5508843407f2c54859fe4b5 Thanks for offering this package, very much appreciated.

hawkeye116477 commented on 2017-05-29 16:57 (UTC) (edited on 2017-07-15 21:43 (UTC) by hawkeye116477)

I wanted to let you know that Waterfox is now available in 2 new packages - waterfox-kde-bin and waterfox-kde. They contains openSUSE's patches for better integration with KDE.

insatiable_kin commented on 2017-03-30 07:45 (UTC)

For those who care, upcoming Waterfox 52.0.2 will be built with --enable-alsa flag: https://www.reddit.com/r/waterfox/comments/625ceb/is_linux_waterfox_requiring_pulseaudio_for_sound/dfl1wkr/

HerbertKnapp commented on 2017-03-15 00:59 (UTC)

Thank you.

DrTebi commented on 2017-03-09 18:16 (UTC)

Not a big deal, but I would like to point out that the "Icon" variable in "waterfox.desktop" is not pointing to the right icon.